get
https://api.shopalyst.com/v1/insights/daas/pricing
This API returns the pricing details of the mapped products for a given brand and date.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Response
{
"success": true,
"message": "",
"errorCode": "",
"result": {
"data": [
{
"offerPrice": 286.8,
"codeType": "EAN",
"salePrice": 286.8,
"discountPct": 0,
"merchant": "shopee",
"availability": true,
"vouchers": [
{
"min_spend": 50,
"start_time": "14-06-2021",
"end_time": "30-06-2021",
"discount_value": 0,
"voucher_code": "ANLEJF215",
"discount_percentage": 5
}
],
"brand": "anmum",
"skuId": "B079ZC7KKN",
"title": "Anmum Essential Step 3 Plain (1.5kg)",
"productImage": null,
"code": "6902395642602",
"coc": false
}
],
"total": 1,
"type": "pricing",
"date": "2021-05-02"
}
}Response Fields
| Field | Description | Data Type |
|---|---|---|
| success | Indicates if API response is success or not. | bool |
| message | Response message. Typically populated in error scenarios. | string |
| errorCode | Error code. | string |
| codeType | Product code type. | string |
| merchant | Merchant name. | string |
| salesPrice | M.R.P. | number |
| offerPrice | Offer price. | number |
| discountPct | Discount percentage. | number |
| brand | Brand name. | string |
| vouchers | Vouchers (This field is available for some merchants only). | list |
| skuId | Product id at merchant site. | string |
| title | Title as seen at merchant site. | string |
| code | Product code. | string |
| coc | Core of the core. | bool |
| total | Total product count. | number |
| date | Date. | string |
Exceptions and Error Conditions
The Pricing API will look for matching data based on the filters applied. However, there are a few scenarios where the API may not be able to return a valid response. For example
- Data request for a future date.
- Data requested for invalid merchant/brand combination.
- Invalid access token (API response status code 401).
- Missing authentication token (API response status code 401).
In all the above scenarios, the Pricing API would return with an error response.
Example:
{
"success": false,
"message": "You can not request for future date",
"errorCode": "INVALID_DATE",
"result": ""
}